/* cbs_mex.h
 *
 * Mex-dependant routines for cubic b-splines.
 * 
 * History
 *  2011/06/24: First version
 *
 * Note
 *  CBS is partly based on the original source code of BBS.
 *
 * (c)2011, Florent Brunet.
 */
 
/* This file is part of CBS.
 *
 * CBS is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CBS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with CBS.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#ifndef __CBS_MEX_H__
#define __CBS_MEX_H__ 1

#include "mex.h"
#include "cbs.h"

void check_real_scalar(const mxArray *val, char *varname);
void check_real(const mxArray *val, char *varname);
void check_cbs_ctrlpts_size(const mxArray *val, cbs_t *cbs);

void array_to_cbs(const mxArray *val, cbs_t *cbs);

#endif
